<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<allowedLoggings xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.allowedloggings.lhclogging.extendedconfig.plugins.unicos.cern.ch.research">
	<allowedLogging>
		<deviceType>SiemensPLC</deviceType>
		<elementName>_unSystemAlarm_DS_Comm_S7_PLC_#PLCName#.alarm</elementName>
		<namePrefix></namePrefix>
		<namePostfix>:COMMUNICATION</namePostfix>
		<type>bool</type>
		<description>Communication (TSPP PLC watchdog)  #PLCName#  to  DS driver 2</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>SiemensPLC</deviceType>
		<elementName>_unSystemAlarm_PLC_DS_Error_S7_PLC_#PLCName#.alarm</elementName>
		<namePrefix></namePrefix>
		<namePostfix>:ERROR</namePostfix>
		<type>bool</type>
		<description>S7 driver TSPP/polling connection  #PLCName#  to  DS driver 2</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>SiemensPLC</deviceType>
		<elementName>_unSystemAlarm_DS_Time_S7_PLC_#PLCName#.alarm</elementName>
		<namePrefix></namePrefix>
		<namePostfix>:TIME</namePostfix>
		<type>bool</type>
		<description>Time synchronization  #PLCName#  to  DS driver 2</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>SchneiderPLC</deviceType>
		<elementName>_unSystemAlarm_DS_Comm__unPlc_#PLCName#.alarm</elementName>
		<namePrefix></namePrefix>
		<namePostfix>:COMMUNICATION</namePostfix>
		<type>bool</type>
		<description>Communication (TSPP PLC watchdog)  #PLCName#  to  DS driver 2</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>SchneiderPLC</deviceType>
		<elementName>_unSystemAlarm_PLC_DS_Error___unPlc_#PLCName#.alarm</elementName>
		<namePrefix></namePrefix>
		<namePostfix>:ERROR</namePostfix>
		<type>bool</type>
		<description>Driver TSPP/polling connection  #PLCName#  to  DS driver 2</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>SchneiderPLC</deviceType>
		<elementName>_unSystemAlarm_DS_Time___unPlc_#PLCName#.alarm</elementName>
		<namePrefix></namePrefix>
		<namePostfix>:TIME</namePostfix>
		<type>bool</type>
		<description>Time synchronization PLCLabo  to  DS driver 2</description>
	</allowedLogging>				
	<allowedLogging>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.OutOV</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.OutOV</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Analog</deviceType>
		<elementName>FEDeviceOutputs.StsReg02</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg02</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogAlarm</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description# [Td=#FEDeviceParameters:Alarm delay (s)#]</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogAlarm</deviceType>
		<elementName>FEDeviceOutputs.StsReg02</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg02</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description# [Td=#FEDeviceParameters:Alarm delay (s)#]</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogDigital</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogDigital</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogDigital</deviceType>
		<elementName>FEDeviceOutputs.StsReg02</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg02</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogInput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogInput</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogInputReal</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogInputReal</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogOutput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogOutput</deviceType>
		<elementName>FEDeviceOutputs.OutOV</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.OutOV</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogOutput</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogOutputReal</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogOutputReal</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogParameter</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>AnalogStatus</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActKc</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActKc</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActTi</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActTi</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActTd</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActTd</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActTds</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActTds</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActSPH</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActSPH</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActSPL</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActSPL</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActOutH</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.ActOutL</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.ActOutL</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.OutL</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.MV</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.MV</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.OutOV</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.OutOV</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Controller</deviceType>
		<elementName>FEDeviceOutputs.StsReg02</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg02</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>DigitalAlarm</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description# [Td=#FEDeviceParameters:Alarm delay (s)#]</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>DigitalInput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>bool</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>DigitalInput</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>DigitalOutput</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>bool</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>DigitalOutput</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description# - #DeviceDocumentation:Electrical Diagram#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>DigitalParameter</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>bool</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>Local</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>MassFlowController</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>OnOff</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>OnOff</deviceType>
		<elementName>FEDeviceOutputs.StsReg02</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg02</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>ProcessControlObject</deviceType>
		<elementName>FEDeviceOutputs.StsReg01</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg01</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>ProcessControlObject</deviceType>
		<elementName>FEDeviceOutputs.StsReg02</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.StsReg02</namePostfix>
		<type>event</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
	<allowedLogging>
		<deviceType>WordStatus</deviceType>
		<elementName>FEDeviceOutputs.PosSt</elementName>
		<namePrefix></namePrefix>
		<namePostfix>.PosSt</namePostfix>
		<type>float</type>
		<description>#DeviceDocumentation:Description#</description>
	</allowedLogging>
</allowedLoggings>